<?php
/**
 * @file
 * Admin configuration form for Growl Messages module.
 */

/**
 * Admin settings form.
 */
function growl_messages_settings(&$form) {
  $form = array();

  $form['growl_messages_autoclose'] = array(
    '#title' => t('Auto-close message types'),
    '#description' => t('Select which types of messages should autoclose.'),
    '#type' => 'checkboxes',
    '#options' => array(
      'status' => t('Status'),
      'warning' => t('Warning'),
      'error' => t('Error'),
    ),
    '#default_value' => variable_get('growl_messages_autoclose', array('status')),
  );
  $form['growl_messages_easing'] = array(
    '#type' => 'textfield',
    '#title' => t('Easing'),
    '#description' => t('The type of easing to use for the animation which closes the messages.'),
    '#default_value' => variable_get('growl_messages_easing', GROWL_MESSAGES_DEFAULT_EASING),
  );
  $form['growl_messages_duration'] = array(
    '#type' => 'textfield',
    '#title' => t('Duration'),
    '#description' => t('The duration to use for hiding the messages.'),
    '#default_value' => variable_get('growl_messages_duration', GROWL_MESSAGES_DEFAULT_DURATION),
  );
  $form['growl_messages_pause'] = array(
    '#type' => 'textfield',
    '#title' => t('Pause'),
    '#description' => t('The pause before messages are closed.'),
    '#default_value' => variable_get('growl_messages_pause', GROWL_MESSAGES_DEFAULT_PAUSE),
  );

  return system_settings_form($form);
}
