Drupal.behaviors.growl_messages = function (context) {
  var settings = Drupal.settings.growl_messages;

  $('div.messages').each(function(index) {
    $('body').append($(this));
  }).wrapAll('<div id="growl"></div>');

  $('#growl > div:not(.processed)').each(function() {
    var messages = $(this);
    messages.addClass('processed');
    $('span.close').click(function() {
      $(this).parent().hide(settings.duration);
    });
    if (messages.is('.autoclose')) {
      // If a message contains a link, autoclosing is probably a bad idea.
      if ($('a', this).size() > 0) {
        messages.removeClass('autoclose');
      }
      else {
        var cssProperties = {
          opacity: 0
        };
        var callback = function() {
          $(this).hide();
        }
        var worker = function() {
          messages.animate(cssProperties, settings.duration, settings.easing, callback);
        };

        setTimeout(worker, settings.pause);
      }
    }
  });
}
